%define rhugversion 20031215
%define rhugsource1 classpathx-mail-%{version} upstream
%define rhugpatches 4

Summary: GNU JavaMail framework
Name: javamail
Version: 20031006
Release: 4
URL: http://www.gnu.org/software/classpathx/
Source: rhug-classpathx-mail-%{rhugversion}.tar.bz2
Source1: classpathx-mail-%{version}.tar.bz2
Patch1: %{name}-rhjpp.patch
Patch4: %{name}-nonntp.patch
Patch5: %{name}-rfc2822.patch
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: jaf >= 20030319-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: jaf >= 20030319-4

%description
The JavaMail framework is a protocol independent API for messaging
applications.

%package devel
Summary: CNI headers for developing JavaMail applications
Group: Development/Libraries
Requires: javamail = %{version}-%{release}

%description devel
The javamail-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use the JavaMail
framework with gcj.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
%patch4 -p0 -b .nonntp
%patch5 -p0 -b .rfc2822
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-mail.so \
    %{_libdir}/lib-gnu-mail-providers-imap.so \
    %{_libdir}/lib-gnu-mail-providers-maildir.so \
    %{_libdir}/lib-gnu-mail-providers-mbox.so \
    %{_libdir}/lib-gnu-mail-providers-pop3.so \
    %{_libdir}/lib-gnu-mail-providers-smtp.so \
    %{_datadir}/java/mail.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-mail.so \
    %{_libdir}/lib-gnu-mail-providers-imap.so \
    %{_libdir}/lib-gnu-mail-providers-maildir.so \
    %{_libdir}/lib-gnu-mail-providers-mbox.so \
    %{_libdir}/lib-gnu-mail-providers-pop3.so \
    %{_libdir}/lib-gnu-mail-providers-smtp.so \
    %{_datadir}/java/mail.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{AUTHORS,COPYING,INSTALL,NEWS} upstream/README*
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/mail
%{_includedir}/gnu/mail

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 20031006-4
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 20031006-3
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Fri Feb 13 2004 Gary Benson <gbenson@redhat.com> 20031006-2
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Wed Dec 10 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.
- Removed lib-gnu-mail.so compatibility library.

* Thu Oct 23 2003 Gary Benson <gbenson@redhat.com> 20031006-1
- Fix a couple of bugs in RFC2822OutputStream.java.

* Fri Oct 17 2003 Gary Benson <gbenson@redhat.com>
- Initial Red Hat Linux build.

* Wed Oct 15 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
